Check if current position is valid

- « InternalIterator::rewind

- Throwable »

- PHP Manual
- InternalIterator
- Check if current position is valid

# InternalIterator::valid

(PHP 8)

InternalIterator::valid — Check if current position is valid

### Description

public InternalIterator::valid(): bool

Checks if current position is valid.

### Parameters

This function has no parameters.

### Return Values

Returns whether the current position is valid.